Index: issm/trunk/externalpackages/triangle/configs/ios/configure.make
===================================================================
--- issm/trunk/externalpackages/triangle/configs/ios/configure.make	(revision 18301)
+++ issm/trunk/externalpackages/triangle/configs/ios/configure.make	(revision 18301)
@@ -0,0 +1,7 @@
+CC=${host_triplet}-clang
+AR=${host-triplet}-ar
+RANLIB=${host-triplet}-ranlib
+CSWITCHES = $(CFLAGS) -DNO_TIMER
+TRILIBDEFS = -DTRILIBRARY
+OBJ_EXT=o
+LIB_EXT=a
Index: issm/trunk/externalpackages/triangle/install-iosarmv7.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-iosarmv7.sh	(revision 18301)
+++ issm/trunk/externalpackages/triangle/install-iosarmv7.sh	(revision 18301)
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -eu
+
+host_triplet="armv7-apple-darwin14.0.0"
+
+#cleanup
+rm -rf install triangle
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
+
+#untar
+cd install
+cp ../triangle.zip ./
+unzip triangle.zip
+rm triangle.zip
+
+#copy new makefile
+cp ../configs/ios/configure.make ./
+cp ../makefile ./
+
+#compile triangle
+make
+
+#patch triangle.h
+patch triangle.h ../triangle.h.patch
Index: issm/trunk/externalpackages/triangle/install-iosarmv7s.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-iosarmv7s.sh	(revision 18301)
+++ issm/trunk/externalpackages/triangle/install-iosarmv7s.sh	(revision 18301)
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -eu
+
+host_triplet="armv7s-apple-darwin14.0.0"
+
+#cleanup
+rm -rf install triangle
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
+
+#untar
+cd install
+cp ../triangle.zip ./
+unzip triangle.zip
+rm triangle.zip
+
+#copy new makefile
+cp ../configs/ios/configure.make ./
+cp ../makefile ./
+
+#compile triangle
+make
+
+#patch triangle.h
+patch triangle.h ../triangle.h.patch
Index: issm/trunk/externalpackages/triangle/install-iosi386.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-iosi386.sh	(revision 18301)
+++ issm/trunk/externalpackages/triangle/install-iosi386.sh	(revision 18301)
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -eu
+
+host_triplet="i386-apple-darwin13.1.0"
+
+#cleanup
+rm -rf install triangle
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
+
+#untar
+cd install
+cp ../triangle.zip ./
+unzip triangle.zip
+rm triangle.zip
+
+#copy new makefile
+cp ../configs/ios/configure.make ./
+cp ../makefile ./
+
+#compile triangle
+make
+
+#patch triangle.h
+patch triangle.h ../triangle.h.patch
Index: issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim
===================================================================
--- issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 18081)
+++ issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 18301)
@@ -412,4 +412,5 @@
 syn keyword cType BoolInput
 syn keyword cType BoolParam
+syn keyword cType classes
 syn keyword cType Constraint
 syn keyword cType Constraints
@@ -417,6 +418,6 @@
 syn keyword cType Contours
 syn keyword cType ControlInput
+syn keyword cType DatasetInput
 syn keyword cType DataSetParam
-syn keyword cType DatasetInput
 syn keyword cType Definition
 syn keyword cType DependentObject
@@ -431,6 +432,6 @@
 syn keyword cType ElementHook
 syn keyword cType ElementMatrix
+syn keyword cType Elements
 syn keyword cType ElementVector
-syn keyword cType Elements
 syn keyword cType ExponentialVariogram
 syn keyword cType ExternalResult
@@ -439,9 +440,10 @@
 syn keyword cType Friction
 syn keyword cType Gauss
+syn keyword cType GaussianVariogram
+syn keyword cType gaussobjects
 syn keyword cType GaussPenta
 syn keyword cType GaussSeg
 syn keyword cType GaussTetra
 syn keyword cType GaussTria
-syn keyword cType GaussianVariogram
 syn keyword cType GenericExternalResult
 syn keyword cType GenericOption
@@ -457,4 +459,5 @@
 syn keyword cType IntVecParam
 syn keyword cType IoModel
+syn keyword cType krigingobjects
 syn keyword cType Load
 syn keyword cType Loads
@@ -464,4 +467,5 @@
 syn keyword cType Matice
 syn keyword cType Matpar
+syn keyword cType matrixobjects
 syn keyword cType MatrixParam
 syn keyword cType Misfit
@@ -472,6 +476,6 @@
 syn keyword cType Observations
 syn keyword cType Option
+syn keyword cType Options
 syn keyword cType OptionUtilities
-syn keyword cType Options
 syn keyword cType Param
 syn keyword cType Parameters
@@ -485,10 +489,10 @@
 syn keyword cType Quadtree
 syn keyword cType Results
+syn keyword cType Riftfront
 syn keyword cType RiftStruct
-syn keyword cType Riftfront
 syn keyword cType Seg
 syn keyword cType SegInput
+syn keyword cType Segment
 syn keyword cType SegRef
-syn keyword cType Segment
 syn keyword cType SpcDynamic
 syn keyword cType SpcStatic
@@ -510,8 +514,5 @@
 syn keyword cType Vertex
 syn keyword cType Vertices
-syn keyword cType classes
-syn keyword cType gaussobjects
-syn keyword cType krigingobjects
-syn keyword cType matrixobjects
+syn keyword cType AdjointBalancethickness2Analysis
 syn keyword cType AdjointBalancethicknessAnalysis
 syn keyword cType AdjointHorizAnalysis
@@ -578,7 +579,13 @@
 syn keyword cConstant BalancethicknessStabilizationEnum
 syn keyword cConstant BalancethicknessThickeningRateEnum
+syn keyword cConstant BasalforcingsEnum
 syn keyword cConstant BasalforcingsGeothermalfluxEnum
-syn keyword cConstant BasalforcingsMeltingRateCorrectionEnum
-syn keyword cConstant BasalforcingsMeltingRateEnum
+syn keyword cConstant BasalforcingsGroundediceMeltingRateEnum
+syn keyword cConstant BasalforcingsFloatingiceMeltingRateEnum
+syn keyword cConstant BasalforcingsDeepwaterMeltingRateEnum
+syn keyword cConstant BasalforcingsDeepwaterElevationEnum
+syn keyword cConstant BasalforcingsUpperwaterElevationEnum
+syn keyword cConstant FloatingMeltRateEnum
+syn keyword cConstant LinearFloatingMeltRateEnum
 syn keyword cConstant BedEnum
 syn keyword cConstant BaseEnum
@@ -624,4 +631,7 @@
 syn keyword cConstant FrictionPEnum
 syn keyword cConstant FrictionQEnum
+syn keyword cConstant FrictionMEnum
+syn keyword cConstant FrictionCEnum
+syn keyword cConstant FrictionLawEnum
 syn keyword cConstant GeometryHydrostaticRatioEnum
 syn keyword cConstant HydrologyModelEnum
@@ -682,7 +692,7 @@
 syn keyword cConstant InversionMaxstepsEnum
 syn keyword cConstant InversionFatolEnum
-syn keyword cConstant InversionFgtolEnum
+syn keyword cConstant InversionFrtolEnum
 syn keyword cConstant InversionGatolEnum
-syn keyword cConstant InversionGgtolEnum
+syn keyword cConstant InversionGrtolEnum
 syn keyword cConstant InversionGttolEnum
 syn keyword cConstant InversionAlgorithmEnum
@@ -690,5 +700,4 @@
 syn keyword cConstant InversionNstepsEnum
 syn keyword cConstant InversionDxminEnum
-syn keyword cConstant InversionEpsrelEnum
 syn keyword cConstant InversionNumControlParametersEnum
 syn keyword cConstant InversionNumCostFunctionsEnum
@@ -733,5 +742,5 @@
 syn keyword cConstant DamageEvolutionRequestedOutputsEnum
 syn keyword cConstant MaterialsRhoIceEnum
-syn keyword cConstant MaterialsRhoWaterEnum
+syn keyword cConstant MaterialsRhoSeawaterEnum
 syn keyword cConstant MaterialsRhoFreshwaterEnum
 syn keyword cConstant MaterialsMuWaterEnum
@@ -821,4 +830,5 @@
 syn keyword cConstant TimesteppingTimeAdaptEnum
 syn keyword cConstant TimesteppingTimeStepEnum
+syn keyword cConstant TimesteppingInterpForcingsEnum
 syn keyword cConstant TransientIsstressbalanceEnum
 syn keyword cConstant TransientIsgroundinglineEnum
@@ -859,4 +869,11 @@
 syn keyword cConstant SurfaceforcingsBNegEnum
 syn keyword cConstant SMBhenningEnum
+syn keyword cConstant SMBcomponentsEnum
+syn keyword cConstant SurfaceforcingsAccumulationEnum
+syn keyword cConstant SurfaceforcingsEvaporationEnum
+syn keyword cConstant SurfaceforcingsRunoffEnum
+syn keyword cConstant SMBmeltcomponentsEnum
+syn keyword cConstant SurfaceforcingsMeltEnum
+syn keyword cConstant SurfaceforcingsRefreezeEnum
 syn keyword cConstant SurfaceforcingsIspddEnum
 syn keyword cConstant SurfaceforcingsIssmbgradientsEnum
@@ -865,4 +882,5 @@
 syn keyword cConstant ConfigurationTypeEnum
 syn keyword cConstant AdjointBalancethicknessAnalysisEnum
+syn keyword cConstant AdjointBalancethickness2AnalysisEnum
 syn keyword cConstant AdjointHorizAnalysisEnum
 syn keyword cConstant AnalysisCounterEnum
@@ -1011,5 +1029,4 @@
 syn keyword cConstant FractionIncrementEnum
 syn keyword cConstant FrictionEnum
-syn keyword cConstant GroundinglineMeltingRateEnum
 syn keyword cConstant InternalEnum
 syn keyword cConstant MassFluxEnum
@@ -1107,4 +1124,6 @@
 syn keyword cConstant P1bubblecondensedEnum
 syn keyword cConstant P2Enum
+syn keyword cConstant P2bubbleEnum
+syn keyword cConstant P2bubblecondensedEnum
 syn keyword cConstant P2xP1Enum
 syn keyword cConstant P1xP2Enum
@@ -1118,4 +1137,5 @@
 syn keyword cConstant XTaylorHoodEnum
 syn keyword cConstant OneLayerP4zEnum
+syn keyword cConstant CrouzeixRaviartEnum
 syn keyword cConstant SaveResultsEnum
 syn keyword cConstant BoolExternalResultEnum
@@ -1161,5 +1181,5 @@
 syn keyword cConstant AugmentedLagrangianThetaEnum
 syn keyword cConstant NoneEnum
-syn keyword cConstant AgressiveMigrationEnum
+syn keyword cConstant AggressiveMigrationEnum
 syn keyword cConstant SoftMigrationEnum
 syn keyword cConstant SubelementMigrationEnum
Index: issm/trunk/jenkins/imac-012301-gil
===================================================================
--- issm/trunk/jenkins/imac-012301-gil	(revision 18081)
+++ issm/trunk/jenkins/imac-012301-gil	(revision 18301)
@@ -22,12 +22,9 @@
 	--with-math-lib="/usr/lib/libm.dylib" \
 	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
-	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
 	--with-numthreads=8 \
 	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
-	--with-petsc-arch=$ISSM_ARCH \
 	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
 	--enable-development'
 
@@ -62,6 +59,5 @@
 						mpich     install-3.0-macosx64.sh    
 						cmake     install.sh                
-						petsc     install-3.4-macosx64.sh    
-						tao       install-2.2.sh
+						petsc     install-3.5-macosx64.sh    
 						triangle  install-macosx64.sh 
 						shell2junit  install.sh "
Index: issm/trunk/jenkins/linux64_larsen
===================================================================
--- issm/trunk/jenkins/linux64_larsen	(revision 18081)
+++ issm/trunk/jenkins/linux64_larsen	(revision 18301)
@@ -20,5 +20,4 @@
 	--with-mpi-libflags="-L$ISSM_DIR/externalpackages/mpich/install/lib/ -lmpich" \
 	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-petsc-arch=$ISSM_ARCH \
 	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
@@ -26,8 +25,6 @@
 	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+	--with-graphics-lib="/usr/lib/x86_64-linux-gnu/libX11.so" \
 	--with-numthreads=18 \
-	--with-cxxoptflags="-mtune=barcelona -ffast-math -O3 -msse4.2 -Wno-write-strings "\
-	--with-graphics-lib="/usr/lib/x86_64-linux-gnu/libX11.so" \
-	--with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
 	--enable-development \
 	--enable-debugging '
@@ -63,9 +60,8 @@
 						mpich     install-3.0-linux64.sh    
 						cmake     install.sh                
-						petsc     install-3.4-linux64.sh    
+						petsc     install-3.5-linux64.sh    
 						triangle  install-linux64.sh        
 						boost     install.sh                
 						dakota    install-5.3.1-linux64.sh  
-						tao       install-2.2.sh
 						chaco     install.sh 
 						shell2junit install.sh"
Index: issm/trunk/jenkins/linux64_murdo
===================================================================
--- issm/trunk/jenkins/linux64_murdo	(revision 18081)
+++ issm/trunk/jenkins/linux64_murdo	(revision 18301)
@@ -20,5 +20,4 @@
 	--with-mpi-libflags="-L$ISSM_DIR/externalpackages/mpich/install/lib/ -lmpich" \
 	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-petsc-arch=$ISSM_ARCH \
 	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
 	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/lib/python2.7/site-packages/numpy/core/include/numpy\
@@ -26,10 +25,8 @@
 	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
-	--with-numthreads=18 \
-	--with-cxxoptflags="-mtune=barcelona -ffast-math -O3 -msse4.2 -Wno-write-strings "\
 	--with-graphics-lib="/usr/lib/x86_64-linux-gnu/libX11.so" \
 	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
 	--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
-	--with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+	--with-numthreads=18 \
 	--enable-development \
 	--enable-debugging '
@@ -65,9 +62,8 @@
 						mpich     install-3.0-linux64.sh    
 						cmake     install.sh                
-						petsc     install-3.4-linux64.sh    
+						petsc     install-3.5-linux64.sh    
 						triangle  install-linux64.sh        
 						boost     install.sh                
 						dakota    install-5.3.1-linux64.sh  
-						tao       install-2.2.sh
 						chaco     install.sh 
 						python        install-2.7.3-linux64.sh    
Index: issm/trunk/jenkins/windows
===================================================================
--- issm/trunk/jenkins/windows	(revision 18081)
+++ issm/trunk/jenkins/windows	(revision 18301)
@@ -26,5 +26,5 @@
 	--with-mpi-libflags="-Wl,libpetsc.lib" \
 	--with-mpi-include="$ISSM_DIR/externalpackages/petsc/install/include/mpiuni" \
-	--enable-development'
+	--enable-debugging '
 
 #MATLAB path
@@ -100,6 +100,6 @@
 #ex: "'id',[101 102 103]"
 
-#In Windows, we don't yet have MUMPS, can't do full stokes, so exclude all FS runs. Also exclude all runs with Dakota. And exclude higher order runs that have penalties.
-MATLAB_NROPTIONS="'exclude',[104, 124, 204, 211, 215, 220, 221, 285, 290, 308, 322, 404, 421, 422, 503, 507, 510, 511, 701, 702, 703, 218, 234, 235, 412, 413, 414, 417, 418, 420, 205, 274, 331, 405, 409, 455, 612, 514, 435 280]"
+#In Windows, we don't yet have MUMPS, can't do full stokes, so exclude all FS runs. Also exclude all runs with Dakota. And exclude higher order runs that have penalties. And 800+ tests because we don't want to have --with-development since we do the binaries with this version
+MATLAB_NROPTIONS="'exclude',[104, 124, 204, 211, 215, 220, 221, 285, 290, 308, 322, 404, 421, 422, 503, 507, 510, 511, 701, 702, 703, 218, 234, 235, 412, 413, 414, 417, 418, 420, 205, 274, 331, 405, 409, 455, 612, 514, 435, 280,801,802,803,804,805,291]"
 PYTHON_NROPTIONS=""
 
Index: issm/trunk/m4/analyses.m4
===================================================================
--- issm/trunk/m4/analyses.m4	(revision 18081)
+++ issm/trunk/m4/analyses.m4	(revision 18301)
@@ -374,4 +374,18 @@
 AC_MSG_RESULT($HAVE_SMOOTHEDSURFACESLOPEY)
 dnl }}}
+dnl with-UzawaPressure{{{
+AC_ARG_WITH([UzawaPressure],
+	AS_HELP_STRING([--with-UzawaPressure = YES], [compile with UzawaPressure capabilities (default is yes)]),
+	[UZAWAPRESSURE=$withval],[UZAWAPRESSURE=yes])
+AC_MSG_CHECKING(for UzawaPressure capability compilation)
+
+HAVE_UZAWAPRESSURE=no 
+if test "x$UZAWAPRESSURE" = "xyes"; then
+	HAVE_UZAWAPRESSURE=yes
+	AC_DEFINE([_HAVE_UZAWAPRESSURE_],[1],[with UzawaPressurecapability])
+fi
+AM_CONDITIONAL([UZAWAPRESSURE], [test x$HAVE_UZAWAPRESSURE = xyes])
+AC_MSG_RESULT($HAVE_UZAWAPRESSURE)
+dnl }}}
 dnl with-Thermal{{{
 AC_ARG_WITH([Thermal],
Index: issm/trunk/m4/issm_options.m4
===================================================================
--- issm/trunk/m4/issm_options.m4	(revision 18081)
+++ issm/trunk/m4/issm_options.m4	(revision 18301)
@@ -168,4 +168,5 @@
 		
 		dnl 4. get MEXLIB MEXLINK and MEXEXT (experimental) except for windows
+		AC_MSG_CHECKING([matlab's mex compilation flags])
   		case "${host_os}" in
   			*cygwin*) 
@@ -184,6 +185,20 @@
 	         MEXLIB=$( $MATLAB_ROOT/bin/mex -v 2>&1 < /dev/null | grep CXXLIBS     | sed -e "s/         CXXLIBS            = //g")
 		      MEXEXT=$( $MATLAB_ROOT/bin/mex -v 2>&1 < /dev/null | grep LDEXTENSION | sed -e "s/         LDEXTENSION        = //g")
+
+				dnl version 2014 and up
+				if test "x$MEXEXT" = "x" ; then
+					 echo "#include <mex.h>" > conftest.cpp
+					 echo "void mexFunction(int nlhs, mxArray* plhs[], int nrhs, const mxArray* prhs[]){}" >> conftest.cpp
+					 $MATLAB_ROOT/bin/mex -v -lmex conftest.cpp > conftest.tmp 2>&1 
+					 rm -f conftest.cpp
+					 MEXLINK=$(cat conftest.tmp | grep LDFLAGS  | sed -e "s/LDFLAGS ://g")
+					 MEXLIB=$( cat conftest.tmp | grep LINKLIBS | sed -e "s/LINKLIBS ://g")
+					 MEXEXT=$( cat conftest.tmp | grep LDEXT    | sed -e "s/LDEXT ://g" | awk '{print $[1]}')
+					 rm -f conftest.tmp
+				fi
+
   			;;
       esac
+		AC_MSG_RESULT(done)
 	   if test "x$MEXEXT" = "x" ; then
 			AC_MSG_ERROR([Couldn't find mex... check your installation of matlab])
@@ -191,5 +206,4 @@
 
 		AC_SUBST([MATLABINCL])
-		AC_SUBST([MEX])
 		MATLABWRAPPEREXT=$MEXEXT
 		AC_SUBST([MATLABWRAPPEREXT])
@@ -332,8 +346,12 @@
 					DAKOTALIB="-L$DAKOTA_ROOT/lib -ldakota -lteuchos -lpecos -llhs -lsparsegrid -lsurfpack -lconmin -lddace -lfsudace -ljega -lcport -loptpp -lpsuade -lncsuopt -lcolin -linterfaces -lmomh -lscolib -lpebbl -ltinyxml -lutilib -l3po -lhopspack -lnidr -lamplsolver -lboost_signals -lboost_regex -lboost_filesystem -lboost_system"
 					dnl DAKOTALIB+= "-lgslcblas -L/usr/lib -lblas -llapack"
+				else if test x$DAKOTA_VERSION = x5.3 || test x$DAKOTA_VERSION = x5.3.1; then
+					DAKOTAFLAGS="-DDISABLE_DAKOTA_CONFIG_H -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION -DDAKOTA_PLUGIN -DBOOST_DISABLE_ASSERTS -DDAKOTA_HAVE_BOOST_FS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DDAKOTA_COLINY -DDAKOTA_UTILIB -DHAVE_ADAPTIVE_SAMPLING -DHAVE_CONMIN -DDAKOTA_DDACE -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_JEGA -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
+					DAKOTALIB="-L$DAKOTA_ROOT/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchos -lpecos -lpecos_src -llhs -lmods -lmod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack_fortran -lutilib -lcolin -linterfaces -lscolib -l3po -lpebbl -ltinyxml -lconmin -ldace -lanalyzer -lrandom -lsampling -lbose -lfsudace -lhopspack -ljega -ljega_fe -lmoga -lsoga -leutils -lutilities -lncsuopt -lcport -loptpp -lpsuade -lamplsolver -L$BOOST_ROOT/lib -lboost_signals -lboost_regex -lboost_filesystem -lboost_system "
 				else
 					AC_MSG_ERROR([Dakota version not found or version ($DAKOTA_VERSION) not supported!]);
 				fi
 				fi
+                                fi
 			;;
 		esac
@@ -921,21 +939,30 @@
 	dnl Check whether tao is enabled
 	AC_MSG_CHECKING([for tao])
-	if test "x$TAO_ROOT" = "xno" ; then
-		HAVE_TAO=no
-	else
-		HAVE_TAO=yes
-		if ! test -d "$TAO_ROOT"; then
-			AC_MSG_ERROR([tao directory provided ($TAO_ROOT) does not exist]);
-		fi
-	fi
-	AC_MSG_RESULT($HAVE_TAO)
-	
-	dnl tao headers and libraries
-	if test "x$HAVE_TAO" == "xyes"; then
-	  TAOINCL="-I$TAO_ROOT/ -I$TAO_ROOT/include -I$TAO_ROOT/bmake/ "
-	  TAOLIB="-L$TAO_ROOT/lib -ltao -lpetsc"
-	  AC_DEFINE([_HAVE_TAO_],[1],[with Tao in ISSM src])
-	  AC_SUBST([TAOINCL])
-	  AC_SUBST([TAOLIB])
+
+	if test "$HAVE_PETSC" = "yes" && test "x$PETSC_MAJOR" = "x3" && test $PETSC_MINOR -ge 5; then
+		dnl in petsc >=3.5, tao is provided
+		HAVE_TAO="yes"
+		AC_DEFINE([_HAVE_TAO_],[1],[with Tao in ISSM src])
+		AC_MSG_RESULT($HAVE_TAO)
+	else
+
+		if test "x$TAO_ROOT" = "xno" ; then
+			HAVE_TAO=no
+		else
+			HAVE_TAO=yes
+			if ! test -d "$TAO_ROOT"; then
+				AC_MSG_ERROR([tao directory provided ($TAO_ROOT) does not exist]);
+			fi
+		fi
+		AC_MSG_RESULT($HAVE_TAO)
+
+		dnl tao headers and libraries
+		if test "x$HAVE_TAO" == "xyes"; then
+		  TAOINCL="-I$TAO_ROOT/ -I$TAO_ROOT/include -I$TAO_ROOT/bmake/ "
+		  TAOLIB="-L$TAO_ROOT/lib -ltao -lpetsc"
+		  AC_DEFINE([_HAVE_TAO_],[1],[with Tao in ISSM src])
+		  AC_SUBST([TAOINCL])
+		  AC_SUBST([TAOLIB])
+		fi
 	fi
 	dnl }}}
@@ -1609,22 +1636,4 @@
 	AC_MSG_RESULT($HAVE_KRIGING)
 	dnl }}}
-	dnl with-gia{{{
-		AC_ARG_WITH([gia],
-		AS_HELP_STRING([--with-gia = YES], [compile with gia capabilities (default is no)]),
-		[GIA=$withval],[GIA=no]) 
-	   AC_MSG_CHECKING(for gia capability compilation)
-
-		HAVE_GIA=no
-		if test "x$GIA" = "xyes"; then
-			if test "x$HAVE_MATH77" = "xno"; then
-				 AC_MSG_ERROR([gia requires compilation of math77 library! Reconfigure with --with-math77 option on]);
-			else
-				HAVE_GIA=yes
-				AC_DEFINE([_HAVE_GIA_],[1],[with gia capability])
-		   fi
-		fi
-		AM_CONDITIONAL([GIA], [test x$HAVE_GIA = xyes])
-		AC_MSG_RESULT($HAVE_GIA)
-		dnl }}}
 	AX_ANALYSES_SELECTION
 
Index: issm/trunk/src/c/Makefile.am
===================================================================
--- issm/trunk/src/c/Makefile.am	(revision 18081)
+++ issm/trunk/src/c/Makefile.am	(revision 18301)
@@ -317,4 +317,6 @@
 					./modules/InputUpdateFromVectorx/InputUpdateFromVectorx.h\
 					./modules/InputUpdateFromVectorx/InputUpdateFromVectorx.cpp\
+					./modules/FloatingiceMeltingRatex/FloatingiceMeltingRatex.h\
+					./modules/FloatingiceMeltingRatex/FloatingiceMeltingRatex.cpp\
 					./modules/ConfigureObjectsx/ConfigureObjectsx.h\
 					./modules/ConfigureObjectsx/ConfigureObjectsx.cpp\
@@ -352,8 +354,9 @@
 					./analyses/EnumToAnalysis.cpp\
 					./analyses/Analysis.h\
+					./solutionsequences/solutionsequence_la.cpp\
+					./solutionsequences/solutionsequence_la_theta.cpp\
 					./solutionsequences/solutionsequence_linear.cpp\
 					./solutionsequences/solutionsequence_nonlinear.cpp\
 					./solutionsequences/solutionsequence_newton.cpp\
-					./solutionsequences/solutionsequence_la_theta.cpp\
 					./solutionsequences/convergence.cpp\
 					./classes/Options/Options.h\
@@ -374,10 +377,6 @@
 					./cores/thermal_core.cpp\
 					./solutionsequences/solutionsequence_thermal_nonlinear.cpp\
-					./modules/ControlInputGetGradientx/ControlInputGetGradientx.cpp\
-					./modules/ControlInputGetGradientx/ControlInputGetGradientx.h\
 					./modules/ControlInputSetGradientx/ControlInputSetGradientx.cpp\
 					./modules/ControlInputSetGradientx/ControlInputSetGradientx.h\
-					./modules/ControlInputScaleGradientx/ControlInputScaleGradientx.cpp\
-					./modules/ControlInputScaleGradientx/ControlInputScaleGradientx.h\
 					./modules/GetVectorFromControlInputsx/GetVectorFromControlInputsx.cpp\
 					./modules/GetVectorFromControlInputsx/GetVectorFromControlInputsx.h\
@@ -400,6 +399,4 @@
 					./modules/ThicknessAbsMisfitx/ThicknessAbsMisfitx.h\
 					./modules/ThicknessAbsMisfitx/ThicknessAbsMisfitx.cpp\
-					./modules/Orthx/Orthx.h\
-					./modules/Orthx/Orthx.cpp\
 					./modules/Gradjx/Gradjx.h\
 					./modules/Gradjx/Gradjx.cpp\
@@ -418,5 +415,5 @@
 					./cores/controltao_core.cpp\
 					./cores/controlm1qn3_core.cpp\
-					./cores/gradient_core.cpp\
+					./cores/controlvalidation_core.cpp\
 					./cores/adjointstressbalance_core.cpp\
 					./cores/adjointbalancethickness_core.cpp\
@@ -437,5 +434,4 @@
 					./cores/damage_core.cpp\
 					./cores/levelsetfunctionslope_core.cpp\
-					./analyses/DamageEvolutionAnalysis.cpp\
 					./modules/GroundinglineMigrationx/GroundinglineMigrationx.cpp\
 					./classes/Loads/Riftfront.cpp\
@@ -542,4 +538,7 @@
 if STRESSBALANCE
 issm_sources += ./analyses/StressbalanceAnalysis.cpp
+endif
+if UZAWAPRESSURE
+issm_sources += ./analyses/UzawaPressureAnalysis.cpp
 endif
 if STRESSBALANCESIA
@@ -826,10 +825,4 @@
 			./modules/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp\
 			./modules/InterpFromMeshToGridx/InterpFromMeshToGridx.h\
-			./modules/HoleFillerx/HoleFillerx.cpp\
-			./modules/HoleFillerx/HoleFillerx.h\
-			./modules/EdgeDetectionx/EdgeDetectionx.cpp\
-			./modules/EdgeDetectionx/EdgeDetectionx.h\
-			./modules/AverageFilterx/AverageFilterx.cpp\
-			./modules/AverageFilterx/AverageFilterx.h\
 			./modules/MeshProfileIntersectionx/MeshProfileIntersectionx.cpp\
 			./modules/MeshProfileIntersectionx/MeshProfileIntersectionx.h\
